[GUIDE] Sickbeard+SABnzbd+Couchpotato+Headphones+Others

  • Quote from "NeurOSick"

    weird.. this way not work for me



    When I type python it gave my this message : You have Chosen to install the following :-
    And the script do nothing after (0update, 0new install, 0remove, etc..)


    When I try to do manually, I have a error at the cheetha step :


    root@mediavault:/tmp/Python-2.7.6/Cheetah-2.4.4# /usr/local/bin/python2.7 setup. py install
    -bash: /usr/local/bin/python2.7 : ceci est un répertoire (this is a folder)


    any idea?

    NeurOSick
    Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
    OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

  • yes, but when I uninstall XDM it remove the python2.7 at the same time..


    I'll retest in case it would be me



    EDIT : All it's ok.. tanks for your help guys! have a nice day


    Finaly a can use CP SB and HP with python 2.7 but it's weird.. all of this soft refuse to start with the /usr/bin/python2.7/python path.. to work I rename python to python27 to the folder /user/bin/ and all soft load correctly..

    NeurOSick
    Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
    OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

  • Quote from "davidh2k"

    Nice solution, but security wise I don't think it adds any security. ;)


    Greetings
    David


    PS: New Version of OpenMediaVault uses nginx instead of apache, so it could be only implemented if nginx would support this too.


    Sure, it's possible with nginx, but require a lot more config than apache ...


    For the security, it's more than port 80 and 443 are often the only port that are opened/possible in corporate/public proxy or web proxy ...

  • About Sickbeard,


    I do not know what I did .. when I use python 2.6 I get this error when running the service :

    Code
    Traceback (most recent call last):
    File "SickBeard.py", line 51, in <module>
    import sickbeard
    File "/opt/sickbeard/sickbeard/__init__.py", line 33, in <module>
    from providers import ezrss, tvtorrents, torrentleech, btn, nzbsrus, newznab, womble, nzbx, omgwtfnzbs, binnewz, t411, ftdb, tpi, cpasbien, piratebay, gks, kat, ethor
    File "/opt/sickbeard/sickbeard/providers/ftdb.py", line 27, in <module>
    from lib import execjs
    File "/opt/sickbeard/lib/execjs/__init__.py", line 38, in <module>
    from ordereddict import OrderedDict
    ImportError: No module named ordereddict



    And when I run with python 2.7 I have this:

    Code
    The Python module Cheetah is required


    But Cheetah is installed.. maybe a bad installation.. I miss someting?


    tanks

    NeurOSick
    Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
    OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

  • Quote from "lvr"

    Sure, it's possible with nginx, but require a lot more config than apache ...


    By a lot more config, you mean a few lines??


    Code
    location /sabnzbd/ {
    proxy_pass http://localhost:8080;
    }

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I've been using the script for a couple of weeks now and I started migrating everything to the plugins yesterday.
    Uninstalled from the script and installed the plugin one by one, but SABnzbd won't install...


    After that it just sits until the admin portal times out.


    I've ran

    Code
    apt-get remove --purge openmediavault-sabnzbd
    userdel sabnzbd
    apt clean
    apt-get autoremove
    apt-get -f install


    but I always get this error
    Any help is appreciated!


    Haha guess I've lost lurker status

  • if you were using the script version make sure /etc/init.d/sabnzbd and the install folder has been deleted, the path will be the path use set when using the script.
    You could also try running

    Code
    apt-get -f install

    after the plugin fails to install and not after those other commands.


    It does not say why it errors so I am not sure whats going on. I had installed it several time on my end with no problems.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • Your sabnzbdplus plugin install is great, but installs and old version and in the webgui for OMV i get "cannot connect" Is there a way to get the latest version of sabnzbdplus installed. I'm more familiar with ubuntu and the newest version is in their respository. I've even tried manually installing sab, even adding the ubuntu repository won't work. Any help would be greatly appreciated.

  • Quote from "xtw1ster"

    Your sabnzbdplus plugin install is great, but installs and old version and in the webgui for OMV i get "cannot connect" Is there a way to get the latest version of sabnzbdplus installed. I'm more familiar with ubuntu and the newest version is in their respository. I've even tried manually installing sab, even adding the ubuntu repository won't work. Any help would be greatly appreciated.


    The plugin will always install the latest version at the time you install it. If there is an update later on the plugin will show an update button that will allow you to install the updated version. The webui issue is fixed but that version is not in the repo just yet.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • Thank you for you prompt response. For some reason i kept getting 0.5 version installed, it was odd. I'm re-installing omv now and will try your script again. Thanks again!


    *Edit*


    Just re-installed OMV, and use your script to install the sabnzbdplus client. It gives me a sad face with the message "The server refused the connection." Does OMV require a reboot after having run the script? The icon shows under the addons menu, but I get the face and connection refused error. I'm also not able to access the sabnzbdplus webgui using the machineIP:8080. Thanks in advance


    *Edit* #2..


    The script installs just as your tutorial states. However, I am unable to locate any file or folder with sabnzbdplus in the name. I have an ubuntu server running sabnzbdplus perfectly and can locate the folders and ini file just fine. It just doesn't seem to be anywhere on my omv machine. 5 hours, i dunno whether to cry or laugh..

  • Use the plugin and not the script.


    I think your getting the plugin version number mixed up with SABnzbd's version number. SABnznd is currently at 7.16 and that is the version the plugin will use.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • I'm sorry for disturbing you with this problem as it is probably a simple fix. I am very new to OMV. When you say "use the plugin" is there somewhere to download said plugin? I just followed the script at the beginning of this thread. Clicking the plugins menu on the left, lists some random plugins in the main window: clamav, omvlvm etc etc. Thanks for your help and paitence


    *Edit*:
    Found the plugins and added the repos.
    While installing sabnzbdplus via the plugin I saw this in the small window
    "dpkg: error processing openmediavault-sabnzbd (--configure):
    subprocess installed post-installation script returned error exit status 8"


    Is that common?

  • Uninstall the script version by entering sabnzbd install number prefixed with a - (minus sign) -9 (not sure if correct number)


    Uninstall using the plugins page and to be sure run

    Code
    apt-get remove --purge openmediavault-sabnzbd


    After that check /etc/init.d/ (ls /etc/init.d) for any left over init script for sab, post the results if your not sure.
    If there are no left over files you should be able to install the plugin again now.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • The error above was received after a wipe of the drive and fresh install of OMV and using the plugin to install sabnzbd. I did not use the script at all. Only added the extras plugin and installed sabnzbd. I was able to setup minidlna with no problems at all. I love OMV, but running it is contingent on sabnzbd working.


    Edit: The plugin is listed in the services menu on the left, but when checking in the plugins list, it does not have a blue check mark showing that it is installed. It only shows a red minus sign.

  • Found the issue.


    The plugin parses sabnzbd.org to obtain the latest version, on the 6th of July a new beta was added. Normally the site only listed proper releases. As the beta versions are stored apart from the main version the plugin can not locate the file and so the post install script fails.


    I can allow for this in future versions of the plugin but as you are using an old version you will have to make some changes.


    1. Open /var/lib/dpkg/info/openmediavault-sabnzbd.postinst

    Code
    openmediavault-sabnzbd.postinst


    2. change the line

    Code
    STABLE=`wget -q http://sabnzbd.org/download/ -O - | \grep sourceforge\.net | grep Linux | \sed 's/.*href=\"\(.*\)\".*/\1/' | sed 's/.*-\(.*\)-.*/\1/'`


    to

    Code
    STABLE="0.7.18"


    3. Ctrl-X to close the file, answer yes to save the file and just press enter on the name of the file.


    4. Force the install

    Code
    apt-get install -f

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • Followed your steps. Received the below:


    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up openmediavault-sabnzbd (0.5.4) ...
    /var/lib/dpkg/info/openmediavault-sabnzbd.postinst: 62: Syntax error: EOF in backquote substitution
    dpkg: error processing openmediavault-sabnzbd (--configure):
    subprocess installed post-installation script returned error exit status 2
    configured to not write apport reports
    Processing triggers for openmediavault ...
    Restarting engine daemon ...
    Updating file permissions ...
    Updating locale files ...
    Errors were encountered while processing:
    openmediavault-sabnzbd
    E: Sub-process /usr/bin/dpkg returned an error code (1)


    Edit: I guess i'm your newest error finder :( sorry

  • Steps i just performed and it looks like it's working.
    1. ran apt-get remove --purge openmediavault-sabnzbd
    2. rebooted
    3. Installed sabnzbd using plugin
    4 Changed the line to STABLE="0.7.18" in /var/lib/dpkg/info/openmediavault-sabnzbd.postinst
    5 ran apt-get install -f
    6 rebooted and now the plugin is working correctly.


    Glad i'm on a test machine :p

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!